@import "variables";
@import "functions";
@import "mixins";
@import "parts/number_selector.scss";

body {
  display: flex;
  flex-direction: column;
  padding-bottom: 0;
}

.cart {
  flex-grow: 1;
  @include flex-col(stretch);
  justify-content: center;
  padding: 50px 15px;

  .empty {
    text-align: center;

    > p {
      font-size: 35px;
      line-height: 35px;
      text-transform: uppercase;
      font-weight: $font-weight-bold;
      margin-bottom: 30px;
    }

    > a {
      padding: 10px 30px;
      border-radius: 5px;
      background-color: theme-color("primary");
      font-size: 20px;
      font-weight: $font-weight-semibold;
      color: $body-background;
      text-decoration: none;
      transition: $transition;
      text-transform: uppercase;

      &:hover {
        opacity: 0.6;
      }
    }
  }

  .filled {
    .meals {
      .meal {
        border-bottom: 1px solid gray("400");
        padding: 20px 5px;
        @include flex-row(center);
    
        h3 {
          font-size: 20px;
          margin: 0;
        }
    
        .delete {
          height: 35px;
          margin-left: 15px;
          transition: $transition;
          cursor: pointer;
    
          &:hover {
            opacity: 0.6;
          }
        }
      }
    }

    .summ {
      @include flex-row(center);
      padding: 20px 5px;

      button {
        border: none;
        text-transform: uppercase;
        padding: 5px 20px;
        font-size: 20px;
        font-weight: $font-weight-semibold;
        border-radius: 5px;
        color: $body-background;
        transition: $transition;
        cursor: pointer;

        &:hover {
          opacity: 0.6;
        }
        
        &.btn-order {
          width: 155px;
          margin-left: 15px;
          background-color: $sucess;
        }
        
        &.btn-empty {
          background-color: $error;
        }
      }

      .price {
        color: $sucess;
      }
    }

    .price {
      padding: 0 15px;
      margin-left: auto;
      font-size: 17px;
      font-weight: $font-weight-semibold;
      flex-shrink: 0;

      strong {
        font-weight: $font-weight-semibold;
      }
    }
  }
}